#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int druzeljubivost[n];
    int brojPrijatelja[n];
    for(int i=0; i<n; i++)
    {
        scanf("%d",&druzeljubivost[i]);
        brojPrijatelja[i]=0;
    }
    int prvi,drugi;
    for(int j=0; j<m; j++)
    {
        scanf("%d%d",&prvi,&drugi);
        prvi--;
        drugi--;
        int prijateljiScore,neprijateljiScore;
        prijateljiScore=druzeljubivost[prvi]+druzeljubivost[drugi];
        neprijateljiScore=-1*prijateljiScore;
        if(prijateljiScore>neprijateljiScore)
        {
            brojPrijatelja[prvi]++;
            brojPrijatelja[drugi]++;
        }
        else
        {
            brojPrijatelja[prvi]--;
            brojPrijatelja[drugi]--;
        }
    }
    int score=0;
    for(int k=0; k<n; k++)
    {
        score=score+druzeljubivost[k]*brojPrijatelja[k];
    }
    printf("%d",score);
}